Subject: subdir-objects and path in variable

From: Oleg Latin <[email-masked]>
Date: Mon, 18 Nov 2013 20:49:51 +0400

When subdir-objects option is enabled (without subdir-objects all works
fine) and xxx_SOURCES contains paths stored in variables when automake
tries to create directory named by variable name not value. For example:

FOO=/path/to/foo
foo_SOURCES=$(FOO)/bar.cpp

Automake tries create directory $(FOO) not /path/to/foo, and make can not
find dependencies.
I attached minimal example. It use non recursive make, but recursive make
also fails.

In attached project problem seems to be in line 310 in generated
Makefile.in. If I replace $(XXXDIR) with xxx manually, then all works fine.

I use autoconf 2.69, automake 1.12.1 and gmake 3.82.